using System.ComponentModel;

namespace MWS.Library.Enums
{
    public enum ModbusDataType : short
    {
        [Description("布尔")]
        BOOL = 1,

        [Description("字节")]
        STRING = 2,

        [Description("无符号整数")]
        USHORT = 3,

        [Description("带符号的整数")]
        SHORT = 4,

        [Description("无符号双整数")]
        UINT = 5,

        [Description("带符号的双整数")]
        INT = 6,

        [Description("实数")]
        FLOAT = 7
    }
}